Assignee:  % Done: 0%
Description

I would like to create a user that can only see the wiki pages / forums / news and Roadmap.

For that, the privilege system lacks a "View Roadmap" privilege.

I would understand it as follows:

If the user has "View Roadmap" privilege but does not have a "View issues" privilege, or the issue's security is higher than that of that

user, then only the issue title appears.

Related issues:

Related to Redmine - Feature #1554: Private comments in tickets Closed 2008-06-30

Related to Redmine - Feature #7758: Roadmap menu- restricting the access New 2011-03-02

History

#1 - 2012-09-13 13:41 - Etienne Massip

- Category set to Permissions and roles

Why don't you want him to see the issue content?

#2 - 2012-09-13 13:43 - Radek Antoniuk

Because this is a client and I only want him to see the issue titles that were defined in change request, but not necesarilly the developer comments.

And for sure I don't want the client "emailed" with issue updates even when he has a "notify of all changes in the project" set in his profile.

#3 - 2012-09-13 14:14 - Etienne Massip

This could be fixed with #1554, don't you think so?

#4 - 2012-09-13 14:31 - Radek Antoniuk

Not really.

Private comments are useful if I want to note something for myself and I don't want to notify anyone about it or anyone to see it.

Here the situation is different. The comments are written by the devs and they are not meant to be private and all devs should see them.

I just want to limit the visibility of the whole contents of the issue to the title only in the roadmap view.

#5 - 2012-09-13 15:49 - Etienne Massip

warden (warden) wrote:

Private comments are useful if I want to note something for myself and I don't want to notify anyone about it or anyone to see it.

Here the situation is different. The comments are written by the devs and they are not meant to be private and all devs should see them.

 Actually #1554 is about the ability to post comments that can only be seen by a restricted group of users, and not only by the comment author.

#6 - 2012-09-13 16:15 - Radek Antoniuk

True, I didn't read that. But that anyway would mean that all devs should "close" their comments to specific group, while I want to achieve the other

way round, just close the issue view (there is "View Issues" permission already).

So, I just need the Roadmap privilege actually.

#7 - 2013-05-08 13:41 - Massimo Rossello

+1
Aggregated view at top level is useful, but should not disclose the version by default.

A local role permission could enable a user to view shared versions from private projects or, even better, a project setting may allow to filter shared

versions from other projects to those who do not have visibility over them in their original projects.

#8 - 2014-07-06 01:15 - Toshi MARUYAMA

- Related to Feature #7758: Roadmap menu- restricting the access added

#9 - 2020-08-22 09:25 - Pawel Orzechowski

+1

This is usefull in instllation where we have internal users that do not need to see if task is part of roudmap, and see all our rodmaps, but just work on

tasks.
